#define NOMINMAX
#include <QFile>
#include <QTextStream>
#include <QtWidgets/QApplication>

#include "QVMInspector.h"
#include "QVirtualMachineHandlers.h"
#include "QVirtualMachineInstructions.h"
#include "QVirtualRoutines.h"
#include "darkstyle/DarkStyle.h"
#include "darkstyle/framelesswindow/framelesswindow.h"

int WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nShowCmd )
{
    QApplication app( __argc, __argv );
    QApplication::setStyle( new DarkStyle );
    FramelessWindow FW;

    const auto MainWindow = new QVMInspector;
    QVirtualMachineInstructions VirtInstrsPanel( MainWindow );
    QVirtualMachineHandlers VirtHandlerPanel( MainWindow );
    QVirtualRoutines VirtualRoutinesPanel( MainWindow );

    FW.setContent( MainWindow );
    FW.setWindowIcon( QIcon( "icon.ico" ) );
    FW.show();
    return app.exec();
}